Bug 980420 - Ping screen freezes when ping an unreachable target
Ping screen freezes when ping an unreachable target
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Fabian Deutsch
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2013-07-02 06:43 EDT by haiyang,dong
Modified: 2014-01-21 14:42 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, pinging while the network wasn't available or pinging an unreachable host lead to the ping page freezing. The code has now been refactored and simplified to prevent this happening.
Story Points: ---
Clone Of:
Last Closed: 2014-01-21 14:42:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16570 None None None Never

  None (edit)
Description haiyang,dong 2013-07-02 06:43:40 EDT
Description of problem:
If the target is unreachable ping screen freezes, only ctrl+c helps.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Log in to node console
2. Go to Network -> Ping
3. Insert an unreachable IP address, Ping

Actual result:
GUI freezes and no key works
Expect result:
Comment 2 Fabian Deutsch 2013-07-08 08:14:52 EDT
Fixed in http://gerrit.ovirt.org/16570

Tested as follows:
1. Configure network
2. Enter ping page
3. Ping a host wich is unreachable
4. Whole ping protocol is displayed after a couple of seconds
Comment 5 haiyang,dong 2013-08-02 01:35:58 EDT
Test version:

Tested as follows:
1. Configure network
2. Enter ping page
3. Ping a host wich is unreachable
4. Whole ping protocol is displayed after a couple of seconds.No GUI freezes and key works

so this bug has been fixed, change the status into "VERIFIED"
Comment 8 Cheryn Tan 2013-11-07 19:31:28 EST
This bug is currently attached to errata RHBA-2013:15277. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:


Thanks in advance.
Comment 10 errata-xmlrpc 2014-01-21 14:42:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.